tt_spec_prop_add(library call)

NAME
tt_spec_prop_add — add a new item to the end of the list of values

SYNOPSIS

#include &<Tt/tt_c.h>
Tt_status tt_spec_prop_add(
const char *objid,
const char *propname,
const char *value);

DESCRIPTION

The tt_spec_prop_add function adds a new item to the end of the list of values associated with this spec property.

The objid argument is the identifier of the object involved in this operation. The propname argument is the property to which the item is to be added. The value argument is the new character-string to be added to the property value list.

RETURN VALUE

Upon successful completion, the tt_spec_prop_add function returns the status of the operation as one of the following Tt_status values:

TT_OK
    The operation completed successfully.

TT_ERR_DBAVAIL
    The ToolTalk service could not access the ToolTalk database needed for this operation.

TT_ERR_DBEXIST
    The ToolTalk service could not access the specified ToolTalk database in the expected place.

TT_ERR_NOMP
    The ttsession(1) process is not running and the ToolTalk service cannot restart it.

TT_ERR_OBJID
    The objid passed to the ToolTalk service does not reference an existing object spec.

TT_ERR_PROPLEN
    The specified property value is too long. (The maximum size is implementation specific, but is at least 2048.)

TT_ERR_PROPNAME
    The specified property name is syntactically invalid.

SEE ALSO

Tt/tt_c.h - Tttt_c(5), tt_spec_prop_set(3).